Subject: Re: [PATCH 3/2] ls-files: only recurse on active submodules

From: Brandon Williams <[email-masked]>
Date: Fri, 12 May 2017 11:19:50 -0700

On 05/12, Paul Jolly wrote:
> >> How can I help diagnose what's going on here?
> 
> <snip>
> 
> > Welp that's a pretty terrible bug which stems from
> > missing a check to see if a submodule is initialized, and not explicitly
> > setting GIT_DIR=.git (theres cases where we don't want this but turns
> > out we probably should do that here).  Let me know if this fixes the
> > problem:
> 
> That's certainly fixed the fork explosion. Indeed seems to now work as
> expected from my perspective...
> 
> And also answers the question that I was going to ask, namely whether
> git ls-files --recurse-submodules should work on repos that do not contain
> any submodules... to which I'd hoped the answer was "yes" (because as I
> said it was a fatal error in v2.11.x, despite there being some output). The
> behaviour I'm now seeing appears to affirm that, assuming it's as expected
> from your perspective!

Yep it should definitely work on repos with no submodules.  I'll put
this on my list of things to do so that I can come up with a more robust
solution to the problem (with tests).

> 
> Thanks for the quick response.

Course, let me know if you find anything else! :D

-- 
Brandon Williams